std::sortable(3cxx)

NAME
std::sortable - [alg.req.sortable], concept sortable

SYNOPSIS

#include <iterator_concepts.h>

Concept definition

template<typename _Iter, typename _Rel ranges::less, typename _Proj identity>
concept std::sortable =  permutable<_Iter>
      && indirect_strict_weak_order<_Rel, projected<_Iter, _Proj>>

Detailed Description

[alg.req.sortable], concept sortable

Author

Generated automatically by Doxygen for libstdc++ from the source code.